package ru.digitalgeneration.dgserver.business.entities.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum Region {

    ADYGEYA("Адыгея"),
    BASHKORTOSTAN("Башкортостан"),
    BURYATIYA("Бурятия"),
    ALTAI("Алтай"),
    DAGESTAN("Дагестан"),
    INGUSHETIYA("Ингушетия"),
    KABARDINO_BALKARIYA("Кабардино-Балкарская республика"),
    KALMYKIYA("Калмыкия"),
    KARACHAYEVO_CHERKESIYA("Карачаево-Черкесская республика"),
    KARELIA("Карелия"),
    KOMI("Коми"),
    MARIY_EL("Марий Эл"),
    MORDOVIYA("Мордовия"),
    SAKHA("Саха(Якутия)"),
    NORTH_OSSETIA("Северная Осетия - Алания"),
    TATARSTAN("Татарстан"),
    TYVA("Тыва"),
    UDMURTIYA("Удмуртская республика"),
    KHAKASIYA("Хакасия"),
    CHECHNYA("Чеченская республика"),
    CHUVASHIA("Чувашская республика"),
    ALTAI_KRAI("Алтайский край"),
    KRASNODARSKIY("Краснодарский край"),
    KRASNOYARSKIY("Красноярский край"),
    PRIMORSKIY("Приморский край"),
    STAVROPOL("Ставропольский край"),
    KHABAROVSK("Хабаровский край"),
    AMUR("Амурская область"),
    ARKHANGELSKAYA("Архангельская область"),
    ASTRAKHAN("Астраханская область"),
    BELGOROD("Белгородская область"),
    BRYANSK("Брянская область"),
    VLADIMIR("Владимирская область"),
    VOLGOGRAD("Волгоградская область"),
    VOLOGDA("Вологодская область"),
    VORONEZJ("Воронежская область"),
    IVANOVO("Ивановская область"),
    IRKUTSK("Иркутская область"),
    KALININGRAD("Калининградская область"),
    KALUGA("Калужская область"),
    KAMCHATKA("Камчатский край"),
    KEMEROVO("Кемеровская область"),
    KIROV("Кировская область"),
    KOSTROMA("Костромская область"),
    KURGAN("Курганская область"),
    KURSK("Курская область"),
    LENINGRADSKAYA("Ленинградская область"),
    LIPETSK("Липецкая область"),
    MAGADAN("Магаданская область"),
    MOSCOW_OBLAST("Московская область"),
    MURMANSK("Мурманская область"),
    NIZHNY_NOVGOROD("Нижегородская область"),
    NOVGOROD("Новгородская область"),
    NOVOSIBIRSK("Новосибирская область"),
    OMSK("Омская область"),
    ORENBURG("Оренбургская область"),
    OREL("Орловская область"),
    PENZA("Пензенская область"),
    PERM("Пермский край"),
    PSKOV("Псковская область"),
    ROSTOV("Ростовская область"),
    RYAZAN("Рязанская область"),
    SAMARA("Самарская область"),
    SARATOVSKAYA("Саратовская область"),
    SAKHALIN("Сахалинская область"),
    SVERDLOVSK("Свердловская область"),
    SMOLENSK("Смоленская область"),
    TAMBOV("Тамбовская область"),
    TVER("Тверская область"),
    TOMSK("Томская область"),
    TULA("Тульская область"),
    TYUMEN("Тюменская область"),
    ULYANOVSK("Ульяновская область"),
    CHELYABINSK("Челябинская область"),
    TRANSBAIKAL("Забайкальский край"),
    JAROSLAVL("Ярославская область"),
    MOSCOW("Москва"),
    ST_PETERSBURG("Санкт-Петербург"),
    JEWISH("Еврейская автономная область"),
    NENETS("Ненецкий автономный округ"),
    KHANTY_MANSIA("Ханты-Мансийский автономный округ"),
    CHUKOTKA("Чукотский автономный округ"),
    YAMALO_NENETS("Ямало-Ненецкий автономный округ"),
    CRIMEA("Крым"),
    SEVASTOPOL("Севастополь"),
    BAIKONUR("Байконур");

    private final String value;
}